# Create JWT template

Creates a new JWT template for your environment. Note: This feature must be enabled by request.

Endpoint: POST /resources/jwt-templates/v1
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Request fields (application/json):

  - `key` (string, required)
    Unique key for the template

  - `name` (string, required)
    Name of the template

  - `description` (string)
    Description of the template

  - `expiration` (number, required)
    Token expiration time in seconds

  - `algorithm` (string, required)
    JWT signing algorithm
    Enum: "RS256", "HS256"

  - `templateSchema` (object, required)
    JWT template schema

  - `templateSchema.claims` (object, required)
    Claims mapping as key-value pairs

## Response 201 fields (application/json):

  - `id` (string, required)
    Template ID

  - `vendorId` (string, required)
    Vendor ID

  - `key` (string, required)
    Unique key for the template

  - `name` (string, required)
    Name of the template

  - `description` (string)
    Description of the template

  - `expiration` (number, required)
    Token expiration time in seconds

  - `algorithm` (string, required)
    JWT signing algorithm
    Enum: "RS256", "HS256"

  - `templateSchema` (object, required)
    JWT template schema

  - `templateSchema.claims` (object, required)
    Claims mapping as key-value pairs

  - `createdAt` (string, required)
    Creation timestamp

  - `updatedAt` (string, required)
    Last update timestamp

